@gray-darker:               #444444;
@gray-dark:                 #696969;
@gray:                      #999999;
@gray-light:                #cccccc;
@gray-lighter:              #ececec;
@gray-lightest:             lighten(@gray-lighter,4%);

*,
*::before,
*::after { 
  box-sizing: border-box;
}

html {
  background-color: #f0f0f0;
}

body {
  color: @gray;
  font-family: "Bai Jamjuree", san-serif !important;
  font-size: 20px !important;
  font-weight: 300 !important;
  line-height: 1.6 !important;
  letter-spacing: 0;
  padding: 1rem;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -moz-font-feature-settings: "liga" on;
}

h1, h2, h3, h4, h5, h6, nav, .nav, .menu,
button, .button, .btn, .price, ._heading,
.wp-block-pullquote blockquote, blockquote,
label, legend, .card__title {
  font-family: "K2D", san-serif !important;
  font-weight: 500 !important;
}

a {
  text-decoration: none;
  color: black;
}

a:hover {
  color: rgb(144, 139, 139);
}

img {
  height: auto;
  max-width: 100%;
  vertical-align: middle;
}

.btn {
  background-color: white;
  border: 1px solid @gray-light;
  border-radius: 1rem;
  color: @gray-dark;
  padding: 0.5rem;
  margin-bottom: 0.4rem;
  //text-transform: uppercase;
}

.btn:hover {
  background-color: rgb(236, 236, 236);
  cursor: pointer;
}

.btn--block {
  display: block;
  width: 100%;
}
 
.cards {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  margin: 0;
  padding: 0;
}

.cards__item {
  display: flex;
  padding: 1rem;
  @media(min-width: 40rem) {
    width: 50%;
  }
  @media(min-width: 56rem) {
    width: 33.3333%;
  }
}

.card {
  background-color: white;
  border-radius: 0.25rem;
  box-shadow: 0 20px 40px -14px rgba(0,0,0,0.25);
  display: flex;
  flex-direction: column;
  overflow: hidden;
  &:hover {
    .card__image {
      filter: contrast(100%);
    }
  }
}

.card__content {
  display: flex;
  flex: 1 1 auto;
  flex-direction: column;
  padding: 1rem;
}

.card__image {
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  border-top-left-radius: 0.25rem;
  border-top-right-radius: 0.25rem;
  /* filter: contrast(70%); */
  //filter: saturate(180%);
  overflow: hidden;
  position: relative;
  transition: filter 0.5s cubic-bezier(.43,.41,.22,.91);;
  &::before {
    content: "";
	  display: block;
    padding-top: 130%; // 16:9 aspect ratio
  }
  @media(min-width: 40rem) {
    &::before {
      padding-top: 130%; // 3:2 aspect ratio
    }
  }
}

.card__title {
  color: @gray-dark;
  font-size: 1.25rem;
  font-weight: 300;
  letter-spacing: 2px;
  text-transform: uppercase;
}

.card__text {
  flex: 1 1 auto;
  font-size: 0.875rem;
  line-height: 1.5;
  margin-bottom: 1.25rem;
}


/* Button Next, Previous */

.button-container {
  display: flex;
  /* Optional spacing between buttons: */
  justify-content: space-between; /* Or use margin on buttons */
}

.button {
  font-size:20px;
  text-align: center;
  display: block;
  width: 100px;
  margin: auto;
  padding: 15px 0px;
  text-decoration: none;
  letter-spacing: 2px;
  font-weight: 300;
  margin-bottom: 40px;
  overflow: hidden;
  position: relative;
  border-radius:3px;
  transition:box-shadow 0.3s;
  -webkit-box-shadow: 0px 5px 8px rgba(0,0,0,0.2);
  span{
    display: block;
    border-radius:50%;
    width: 50px;
    height: 50px;
    margin-left: -25px;
    margin-top: -25px;
    position:absolute;
    -webkit-animation: effect-animation 2s;
  }
  &:hover{
    -webkit-box-shadow: 0px 5px 15px rgba(0,0,0,0.6);
  }
}

.button-black{
  background: #000;
  color: #fff;
  span{
    background: #fff;
    left:50%;
    top:50%;
    }
}

.button-white{
  background: #fff;
  color: #000;
  border:2px solid #000;
  span{
    background: #000;
    }
}